Description

On QGIS 1.8 and current master (72d7a23), postgres 9.1 and postgis 1.5. 

odbc acces sees table and views but can't find geometry type or column. Only attribute data can be read.

Logging QGIS queries from postgres, I have seen some possibles bugs.

- Geometry columns retrieving query is broken :

 SELECT f_table_name, f_geometry_column, geometry_type FROM geometry_columns' 

should be (postgis 1.5)

 SELECT f_table_name, f_geometry_column, type FROM geometry_columns

- First table in list is queried 3 to 4 times with 'SELECT * FROM ' when building table list dialog.

- Choosing a table to add in QGIS sends several identical queries (3 to 26) with SELECT *

- many queries to retrieve fields seem duplicated and retrieve no content. Performance tuning possible here maybe.

- Finally, ODBC table has an image icon in Layer Panel. It should be either attribute table icon or geographic layer icon depending on

geometrytype

See attached script for details

History

#1 - 2012-07-06 08:07 AM - Jürgen Fischer

with "odbc access" you're referring to the ODBC tab in "Add vector layer" (ie. OGR provider), aren't you?  Why aren't you using "Add PostGIS layer"?

#2 - 2012-07-06 08:12 AM - Regis Haubourg

Mm.. good question.  This is the only database on wich I have admin rights. The goal is to read Oracle database. Is the provider working the same way?

#3 - 2012-07-06 08:20 AM - Jürgen Fischer

regis Haubourg wrote:

Mm.. good question.  This is the only database on wich I have admin rights. The goal is to read Oracle database. Is the provider working the same

way?
No, there's no native qgis oracle (spatial) provider yet (but it should be available soon).   The postgres provider shouldn't have the problems you describe.

Anyway, if this is a OGR problem (ogrinfo probably produces a similar log), this should be taken upstream (ie. trac.osgeo.org/gdal).

#4 - 2012-07-06 08:50 AM - Regis Haubourg

OK thanks, 

I'll have a look there. 

Régis

#5 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#6 - 2013-03-21 03:45 AM - Regis Haubourg

- Status changed from Open to Closed

now we have a oracle driver... the need falls.

Files

postgresql-2012-07-06_110905.log 1.86 MB 2012-07-06 Regis Haubourg
